Get file information
- Base URL
-
https://{kibana_url}
- GET /api/endpoint/action/{action_id}/file/{file_id}
- GET /s/{space_id}/api/endpoint/action/{action_id}/file/{file_id}
Refer to Spaces for more information.
Get information for the specified response action file download.
Path parameters
-
action_idstring · min length: 1 · max length: 256required -
The ID of the response action that generated the file.
-
file_idstring · min length: 1 · max length: 256required -
The file identifier is constructed in one of two ways:
- For Elastic Defend agents (
agentTypeofendpoint): combine theaction_idandagent_idvalues using a dot (.) separator:{file_id}={action_id}.{agent_id} - For all other agent types: the
file_idis theagent_idfor which the response action was sent to.
- For Elastic Defend agents (
Response
Indicates a successful call.